{
  "env": {
      "MESSAGE": " MAC AND LINUX USERS!!!- change path from c:/... to ~/esp/... or as approirate for your enviroment",
      "IDF_TOOLS": "/Users/usuario/.espressif/tools",
      "IDF_PATH": "/Users/usuario/esp/esp-idf"
  },
  "configurations": [
      {
          "name": "esp32",
          "browse": {
              "path": [
                  "${workspaceFolder}",
                  "${IDF_PATH}",
                  "${IDF_TOOLS}"
              ],
              "limitSymbolsToIncludedHeaders": true
          },
          "includePath": [
              "${workspaceFolder}",
              "${workspaceFolder}/build/config",
              "${workspaceFolder}/build/bootloader/config",
              "${IDF_TOOLS}/xtensa-esp32-elf/esp32-2019r1-8.2.0/xtensa-esp32-elf/lib/gcc/xtensa-esp32-elf/8.2.0/include",
              "${IDF_TOOLS}/xtensa-esp32-elf/esp32-2019r1-8.2.0/xtensa-esp32-elf/xtensa-esp32-elf/include",
              "${IDF_TOOLS}/xtensa-esp32-elf/esp32-2019r1-8.2.0/xtensa-esp32-elf/xtensa-esp32-elf/include/c++/8.2.0",
              "${IDF_TOOLS}/xtensa-esp32-elf/esp32-2019r1-8.2.0/xtensa-esp32-elf/xtensa-esp32-elf/include/c++/8.2.0/xtensa-esp32-elf",
              "${IDF_TOOLS}/xtensa-esp32-elf/esp-2019r2-8.2.0/xtensa-esp32-elf/lib/gcc/xtensa-esp32-elf/8.2.0/include",
              "${IDF_TOOLS}/xtensa-esp32-elf/esp-2019r2-8.2.0/xtensa-esp32-elf/xtensa-esp32-elf/include",
              "${IDF_TOOLS}/xtensa-esp32-elf/esp-2019r2-8.2.0/xtensa-esp32-elf/xtensa-esp32-elf/include/c++/8.2.0",
              "${IDF_TOOLS}/xtensa-esp32-elf/esp-2019r2-8.2.0/xtensa-esp32-elf/xtensa-esp32-elf/include/c++/8.2.0/xtensa-esp32-elf",
              "${IDF_PATH}/components/newlib/include",
              "${IDF_PATH}/components/esp32/include",
              "${IDF_PATH}/components/soc/esp32/include",
              "${IDF_PATH}/components/heap/include",
              "${IDF_PATH}/components/soc/include",
              "${IDF_PATH}/components/driver/include",
              "${IDF_PATH}/components/freertos/include",
              "${IDF_PATH}/components/tcpip_adapter/include",
              "${IDF_PATH}/components/nvs_flash/include",
              "${IDF_PATH}/components/spi_flash/include",
              "${IDF_PATH}/components/json/cJSON",
              "${IDF_PATH}/components/nvs_flash/test_nvs_host",
              "${IDF_PATH}/components/app_update/include",
              "${IDF_PATH}/components/esp_common/include",
              "${IDF_PATH}/components/xtensa/include",
              "${IDF_PATH}/components/xtensa/esp32/include",
              "${IDF_PATH}/components/esp_rom/include",
              "${IDF_PATH}/components/spiffs/include",
              "${IDF_PATH}/components/vfs/include",
              "${IDF_PATH}/components/esp_event/include",
              "${IDF_PATH}/components/esp_wifi/include",
              "${IDF_PATH}/components/lwip/lwip/src/include",
              "${IDF_PATH}/components/lwip/port/esp32/include",
              "${IDF_PATH}/components/lwip/include/apps/sntp",
              "${IDF_PATH}/components/lwip/include/apps",
              "${IDF_PATH}/components/esp_http_server/include",
              "${IDF_PATH}/components/nghttp/nghttp2/third-party/http-parser",
              "${IDF_PATH}/components/log/include",
              "${IDF_PATH}/components/esp_http_client/include",
              "${IDF_PATH}/examples/common_components/protocol_examples_common/include",
              "${IDF_PATH}/components/newlib/include",
              "${IDF_PATH}/components/bt/include",
              "${IDF_PATH}/components/bt/host/bluedroid/api/include/api",
              "${IDF_PATH}/components/bt/host/nimble/esp-hci/include",
              "${IDF_PATH}/components/bt/host/nimble/nimble/nimble/include",
              "${IDF_PATH}/components/bt/host/nimble/nimble/porting/nimble/include",
              "${IDF_PATH}/components/bt/host/nimble/nimble/porting/npl/freertos/include",
              "${IDF_PATH}/components/bt/host/nimble/nimble/nimble/host/include",
              "${IDF_PATH}/components/bt/host/nimble/nimble/nimble/host/util/include",
              "${IDF_PATH}/components/bt/host/nimble/port/include",
              "${IDF_PATH}/components/bt/host/nimble/nimble/nimble/host/services/gap/include",
              "${IDF_PATH}/components/bt/host/nimble/nimble/nimble/host/services/gatt/include",
              "${IDF_PATH}/components/log/include",
              "${IDF_PATH}/components/esp_adc_cal/include",
              "${IDF_PATH}/components/esp_wifi/include",
              "${IDF_PATH}/components/esp_netif/include",
              "${IDF_PATH}/components/esp_eth/include",
              "${IDF_PATH}/components/mbedtls/mbedtls/include",
              "${IDF_PATH}/components/mqtt/esp-mqtt/include",
              "${IDF_PATH}/components/esp_https_ota/include",
              "${IDF_PATH}/components/app_update/include",
              "${IDF_PATH}/components/bootloader_support/include",
              "${IDF_PATH}/components/esp_ringbuf/include",
              "${IDF_PATH}/components/freertos/xtensa/include",
              "${IDF_PATH}/components/esp_system/include",
              "${IDF_PATH}/components/esp_timer/include",
              "${IDF_PATH}/components/newlib/platform_include",
              "${IDF_PATH}/components/esp_hw_support/include",
              "${IDF_PATH}/components/hal/include",
              "${IDF_PATH}/components/hal/esp32/include"
          ],
          "defines": [],
          "cStandard": "c11",
          "cppStandard": "c++17",
          "intelliSenseMode": "clang-x64"
      }
  ],
  "version": 4
}